## edu.stanford.nlp.util
Class IntTriple

    java.lang.Object
      edu.stanford.nlp.util.IntTuple
          edu.stanford.nlp.util.IntTriple

All Implemented Interfaces:
  Serializable

    public class IntTriple

extends IntTuple

See Also:
  Serialized Form

Constructor Summary
`IntTriple()`
`IntTriple(int src, int mid, int trgt)`

Method Summary
`IntTuple` `getCopy()`
`int` `getMiddle()`
`int` `getSource()`
`int` `getTarget()`

Methods inherited from class edu.stanford.nlp.util.IntTuple
`concat, elems, equals, get, getIntTuple, getIntTuple, hashCode, length, print, set, shiftLeft, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntTriple

    public IntTriple()

### IntTriple

    public IntTriple(int src,
                     int mid,
                     int trgt)

Method Detail

### getCopy

    public IntTuple getCopy()

  Overrides:
    `getCopy` in class `IntTuple`

### getSource

    public int getSource()

### getTarget

    public int getTarget()

### getMiddle

    public int getMiddle()

Stanford NLP Group